/*
 * playlistaspectsearchfilter.h
 *
 *  Created on: 18.04.2010
 *      Author: darkstar
 */

#ifndef PLAYLISTASPECTSEARCHFILTER_H_
#define PLAYLISTASPECTSEARCHFILTER_H_

#include "playlistaspect.h"

class PlayListAspectSearchFilter: public PlayListAspectExtension
{
public:
	PlayListAspectSearchFilter();
	virtual ~PlayListAspectSearchFilter();

	virtual void execute();
	virtual void reset();
	virtual const QString outputViewSource();
	virtual bool isActive() { return isFiltering(); };
	virtual bool isFiltering() { return filterText_ != ""; }

	void setFilterText(const QString &filter);
	const QString &filterText() { return filterText_; }

	void saveExtensionState(QStringList &dst);
	void loadExtensionState(QStringList &src);

private:
	QString filterText_;
	QString dbFilterText_;
};

#endif /* PLAYLISTASPECTSEARCHFILTER_H_ */
